<?php
include("db.php");
$requestData = $_REQUEST;
$columns = array(
    0 => 'name_emp',
);

$sql = "SELECT * ";
$sql .= " FROM  `emp` left join `job` on `job`.`id_job` = `emp`.`id_job` where `emp`.`active_emp` = '0' and `emp`.`id_user` = '$idPublicUser'";
$query = mysqli_query($db, $sql);
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;
$sql = "SELECT * ";
$sql .= " FROM  `emp` left join `job` on `job`.`id_job` = `emp`.`id_job` where `emp`.`active_emp` = '0' and `emp`.`id_user` = '$idPublicUser'";
if (!empty($requestData['search']['value'])) {
    $sql .= " AND ( id_emp LIKE '" . $requestData['search']['value'] . "%'  ";
    $sql .= " OR  name_emp LIKE '" . $requestData['search']['value'] . "%'  ";
    $sql .= " OR  phone_emp LIKE '" . $requestData['search']['value'] . "%'  ";
    $sql .= " OR  name_job LIKE '" . $requestData['search']['value'] . "%' ) ";
}
$query = mysqli_query($db, $sql);
$totalFiltered = mysqli_num_rows($query);
$sql .= " ORDER BY " . $columns[$requestData['order'][0]['column']] . "   " . $requestData['order'][0]['dir'] . "  LIMIT " . $requestData['start'] . " ," . $requestData['length'] . "   ";
$query = mysqli_query($db, $sql);
$data = array();
while ($row = mysqli_fetch_array($query)) {
    $nestedData = array();


    $nestedData[] = $row["name_emp"];
    $nestedData[] = $row["phone_emp"];
    $nestedData[] = $row["name_job"];
    $nestedData[] = "<button type='button' class='btn btn-danger' onclick=main.deleteData('emp','" . $row['id_emp'] . "')>حذف</button>
	<button type='button' class='btn btn-success' onclick='emp.getEmp(" . $row['id_emp'] . ")'>تعديل</button>
	<button type='button' class='btn btn-success' onclick='emp.getPowers(" . $row['id_emp'] . ")'>الصلاحيات</button>
";

    $data[] = $nestedData;
}



$json_data = array(
    "draw" => intval($requestData['draw']),
    "recordsTotal" => intval($totalData),
    "recordsFiltered" => intval($totalFiltered),
    "data" => $data
);

echo json_encode($json_data);

?>